package manager;

/**
 * This class is a generic class of pieces for a Board Game {@link Game}.
 *  
 * @author Luciano Antonio Digiampietri
 * @version 0.5 beta - 03/15/2006
 * @see Game
 */
public class Piece {
	String ID = "";
	int PLAYER = -1;

	public Piece(String id, int player){
		this.ID = id;
		this.PLAYER = player;
	}
	
	public Piece(String id){
		this.ID = id;
	}
	
	public String getString(){
		return ID + PLAYER;
	}
	
	public String getId(){
		return ID;
	}
	
	public void setId(String id){
		this.ID = id;
	}
	
	public int getPlayer(){
		return PLAYER;
	}
	
}
