package netGameManager;

/**
 * This class contains the basic attributes for each command passed in a request message from the {@link GameClient} to the {@link GameServer}.
 * The full message is a XML message and each field belongs to a type and contains a value.
 * 
 * @author Luciano Antonio Digiampietri
 * @version 0.5 beta - 03/15/2006
 * 
 * @param TYPE (String) - type of the field (RT - REQUEST TYPE; GT GAME TYPE; ETC);
 * @param VALUE (String) - value of the the field (a game type can have the value "checkers");
 * @see   GameClient
 * @see   GameServer
 */
public class TypeValue {
	String TYPE = "";
	String VALUE = "";
	public TypeValue(String t, String v){
		TYPE = t;
		VALUE = v;
	}
}
