package manager;

public class MoveAndEatAction extends MoveAction {

	public Piece EATEN = new NullPiece();
	public int EATEN_X = -1;
	public int EATEN_Y = -1;
	
	public MoveAndEatAction (int x, int y, int x2, int y2, Piece Actor, Piece Eaten){
		super(x,y,x2,y2,Actor);
		TYPE = MOVE_AND_EAT;
		FROM_X = x;
		FROM_Y = y;
		TO_X = x2;
		TO_Y = y2;
		ACTOR = Actor;
		EATEN = Eaten;
		EATEN_X = x2;
		EATEN_Y = y2;
	}

	
	public MoveAndEatAction (int x, int y, int x2, int y2, Piece Actor, Piece Eaten, int x3, int y3){
		super(x,y,x2,y2,Actor);
		TYPE = MOVE_AND_EAT;
		FROM_X = x;
		FROM_Y = y;
		TO_X = x2;
		TO_Y = y2;
		ACTOR = Actor;
		EATEN = Eaten;
		EATEN_X = x3;
		EATEN_Y = y3;
	}
	
	public String action2String(){
		return "MOVE AND EAT PIECE '" + ACTOR.getString() + "' from (" + FROM_X+","+FROM_Y+") to (" + TO_X +","+TO_Y+"); EATEN PIECE '" + EATEN.getString() + "' (" + EATEN_X +","+EATEN_Y+")";
	}
}
