package manager;

/**
 * This class implements tic tac toe pieces (X or O).
 * It extends a generic {@link Piece}.
 * <p>
 * Tic tac toe pieces are used in the {@link TictactoeGame}
 *  
 * @author Luciano Antonio Digiampietri
 * @version 0.5 beta - 03/15/2006
 * @see TictactoeGame
 * @see Piece
 */

public class TictactoePiece extends Piece{
	public TictactoePiece(String id, int player) {
		super(id, player);
	}
	
	public String getString(){
		return this.ID;
	}
}
